post
/public_api/v1/configurations/agent/agent_status/set
Updates the agent status configuration for the tenant. Changes to license revocation and deletion retention settings take effect immediately.
Requires appropriate RBAC permissions for agent settings management.
CLIENT REQUEST
curl -X 'POST'
-H "x-xdr-auth-id: [[apiKey]]"
\
-H "Authorization: [[apiKey]]"
\
-H
'Accept: application/json'
-H
'Content-Type: application/json'
'https://api-yourfqdn/public_api/v1/configurations/agent/agent_status/set'
-d
'{
"license_revocation_after_lost_connection" : 30,
"agent_deletion_retention" : 90
}'
import http.client
conn = http.client.HTTPSConnection("api-yourfqdn")
payload = "{\"license_revocation_after_lost_connection\":30,\"agent_deletion_retention\":90}"
headers = {
'x-xdr-auth-id': "REPLACE_KEY_VALUE",
'content-type': "application/json"
}
conn.request("POST", "/public_api/v1/configurations/agent/agent_status/set", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://api-yourfqdn/public_api/v1/configurations/agent/agent_status/set")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Post.new(url)
request["x-xdr-auth-id"] = 'REPLACE_KEY_VALUE'
request["content-type"] = 'application/json'
request.body = "{\"license_revocation_after_lost_connection\":30,\"agent_deletion_retention\":90}"
response = http.request(request)
puts response.read_bodyconst data = JSON.stringify({
"license_revocation_after_lost_connection": 30,
"agent_deletion_retention": 90
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("POST", "https://api-yourfqdn/public_api/v1/configurations/agent/agent_status/set");
xhr.setRequestHeader("x-xdr-auth-id", "REPLACE_KEY_VALUE");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);HttpResponse<String> response = Unirest.post("https://api-yourfqdn/public_api/v1/configurations/agent/agent_status/set")
.header("x-xdr-auth-id", "REPLACE_KEY_VALUE")
.header("content-type", "application/json")
.body("{\"license_revocation_after_lost_connection\":30,\"agent_deletion_retention\":90}")
.asString();import Foundation
let headers = [
"x-xdr-auth-id": "REPLACE_KEY_VALUE",
"content-type": "application/json"
]
let parameters = [
"license_revocation_after_lost_connection": 30,
"agent_deletion_retention": 90
] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/v1/configurations/agent/agent_status/set")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-yourfqdn/public_api/v1/configurations/agent/agent_status/set",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\"license_revocation_after_lost_connection\":30,\"agent_deletion_retention\":90}",
CURLOPT_HTTPHEADER => [
"content-type: application/json",
"x-xdr-auth-id: REPLACE_KEY_VALUE"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/v1/configurations/agent/agent_status/set");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-xdr-auth-id: REPLACE_KEY_VALUE");
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"license_revocation_after_lost_connection\":30,\"agent_deletion_retention\":90}");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://api-yourfqdn/public_api/v1/configurations/agent/agent_status/set");
var request = new RestRequest(Method.POST);
request.AddHeader("x-xdr-auth-id", "REPLACE_KEY_VALUE");
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"license_revocation_after_lost_connection\":30,\"agent_deletion_retention\":90}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);Body parameters
required
license_revocation_after_lost_connectioninteger
agent_deletion_retentioninteger
application/json
Request payload for updating agent status timeout configuration.
license_revocation_after_lost_connectionintegerSpecify the number of days after which the license should be revoked when an agent loses connection.
Specify the number of days after which the license should be revoked when an agent loses connection.
Example:
30agent_deletion_retentionintegerSpecify the number of days to retain agent data before automatic deletion after disconnection.
Specify the number of days to retain agent data before automatic deletion after disconnection.
Example:
90REQUEST
{
"license_revocation_after_lost_connection": 30,
"agent_deletion_retention": 90
}Responses